Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1507502 - unifdef -m segfaults
Summary: unifdef -m segfaults
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: unifdef
Version: 31
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard:
Depends On:
Blocks: 1731545
TreeView+ depends on / blocked
 
Reported: 2017-10-30 12:41 UTC by Florian Weimer
Modified: 2020-11-24 19:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 19:58:16 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Florian Weimer 2017-10-30 12:41:49 UTC
Description of problem:

“unifdef -m” results in a segmentation fault.

Version-Release number of selected component (if applicable):

unifdef-2.10-6.fc26.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

unifdef crashes with SIGSEGV.

Expected results:

Some sort of error message, or no output at all (and exit status 0).

Additional info:

(gdb) r
Starting program: /usr/bin/unifdef -m

Program received signal SIGSEGV, Segmentation fault.
processinout (ifn=<optimized out>, ofn=0x0) at unifdef.c:392
392		if (strcmp(ofn, "-") == 0) {
(gdb) bt
#0  processinout (ifn=<optimized out>, ofn=0x0) at unifdef.c:392
#1  0x00000000004016d1 in main (argc=<optimized out>, argv=0x7fffffffdde8)
    at unifdef.c:362
(gdb) info locals
__s2 = 0x0
__result = <error reading variable __result (Cannot access memory at address 0x0)>
__s2_len = 1
st = {st_dev = 0, st_ino = 0, st_nlink = 0, st_mode = 0, st_uid = 0, 
  st_gid = 0, __pad0 = 0, st_rdev = 0, st_size = 140737354132568, 
  st_blksize = 2983696132577082368, st_blocks = 140737488346160, st_atim = {
    tv_sec = 6320504, tv_nsec = 4200304}, st_mtim = {tv_sec = 2, 
    tv_nsec = 4210376}, st_ctim = {tv_sec = 0, tv_nsec = 0}, 
  __glibc_reserved = {0, 4200992, 4200992}}
(gdb) l
387			linefile = ifn;
388			input = fopen(ifn, "rb");
389			if (input == NULL)
390				err(2, "can't open %s", ifn);
391		}
392		if (strcmp(ofn, "-") == 0) {
393			output = fbinmode(stdout);
394			process();
395			return;
396		}
(gdb)

Comment 1 Fedora End Of Life 2018-05-03 08:53:56 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Florian Weimer 2018-05-03 09:10:34 UTC
Still present in unifdef-2.10-9.fc28.x86_64.

Comment 3 Jan Kurik 2018-08-14 11:00:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Ben Cotton 2019-10-31 19:01:29 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-11-27 23:05:28 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Felix Schwarz 2019-11-27 23:17:05 UTC
can still reproduce this on F30

Comment 7 Felix Schwarz 2019-12-02 09:10:15 UTC
also a problem on F31

Comment 8 Ben Cotton 2020-11-03 17:30:12 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2020-11-24 19:58:16 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.